<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysNewsInformationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysNewsInformation">
        <id column="id_" property="id" />
        <result column="title_" property="title" />
        <result column="content_" property="content" />
        <result column="cover_image_" property="coverImage" />
        <result column="type_" property="type" />
        <result column="status_" property="status" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="link_url_" property="linkUrl" />
        <result column="href_target_" property="hrefTarget" />
        <result column="order_" property="order" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, title_, content_, cover_image_, type_, status_, create_time_, update_time_, link_url_, href_target_, order_
    </sql>

</mapper>
